import { ReactNode } from 'react';
import { RateProps as C7NRateProps } from '../../../lib/rate';
import { FormField, FormFieldProps } from '../field/FormField';
import ValidationResult from '../validator/ValidationResult';
export interface RateProps extends C7NRateProps, FormFieldProps {
    defaultValue?: number;
    onChange?: (value: number) => any;
    value?: number;
}
export default class Rate<T extends RateProps> extends FormField<T> {
    static displayName: string;
    static defaultProps: {
        suffixCls: string;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
        character: JSX.Element;
    };
    static __PRO_RATE: boolean;
    static __IS_IN_CELL_EDITOR: boolean;
    get hasFloatLabel(): boolean;
    renderValidationResult(validationResult?: ValidationResult): ReactNode;
    onChange: (value: number) => void;
    handleHelpMouseEnter(e: any): void;
    handleHelpMouseLeave(): void;
    renderTooltipHelp(): ReactNode;
    renderFloatLabel(): ReactNode;
    getOtherProps(): any;
    renderWrapper(): ReactNode;
    renderHelpMessage(): ReactNode;
}
